package game.monstersandwizards;

public interface Victim {

    /**
     * Simulates a hit from an ennemy
     * @param hit intensity of the hit
     * @return the value of the victim's defense
     */
    public int beingHit(int hit);

    /**
     * Simulates a spell from an ennemy.
     * @param hit intensity of the spell
     * @return the value of the victim's defense
     */
    public int beingBewitched(int hit);

    /**
     * Returns the name of the victim.
     * @return a String containing the name of the victim
     */
    public String getName();

    /**
     * Checks if the victim still exists.
     * @return true if the victim still exists (is still alive)
     */
    public boolean exist();
}
